## hdv1394src hdv1394src |

## Properties

gint | channel | Read / Write
gchar * | device-name | Read
guint64 | guid | Read / Write
gint | port | Read / Write
gboolean | use-avc | Read / Write

## Types and Values

struct | GstHDV1394Src

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstHDV1394Src

## Implemented Interfaces

GstHDV1394Src implements GstURIHandler and GstPropertyProbe.

## Description

Read MPEG-TS data from firewire port.

### Example launch line

    1
    gst-launch-1.0 hdv1394src ! queue ! decodebin name=d ! queue ! xvimagesink d. ! queue ! alsasink

captures from the firewire port and plays the streams.

    1
    gst-launch-1.0 hdv1394src ! queue ! filesink location=mydump.ts

capture to a disk file

## Synopsis

### Element Information

plugin | 1394
author | Edward Hervey <bilboed@bilboed.com>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/mpegts, systemstream=(boolean)true, packetsize=(int)188

## Functions

## Types and Values

### struct GstHDV1394Src

    struct GstHDV1394Src;

## Property Details

### The `“channel”` property

      “channel”                  gint

Channel number for listening.

Flags: Read / Write

Allowed values: [0,64]

Default value: 63

### The `“device-name”` property

      “device-name”              gchar *

Descriptive name of the currently opened device

Flags: Read

Default value: "Default"

### The `“guid”` property

      “guid”                     guint64

select one of multiple DV devices by its GUID. use a hexadecimal like 0xhhhhhhhhhhhhhhhh. (0 = no guid).

Flags: Read / Write

Default value: 0

### The `“port”` property

      “port”                     gint

Port number (-1 automatic).

Flags: Read / Write

Allowed values: [G_MAXULONG,16]

Default value: -1

### The `“use-avc”` property

      “use-avc”                  gboolean

Use AV/C VTR control.

Flags: Read / Write

Default value: TRUE